[MONGODB DRIVER] Warning: Warning: no saslprep library specified. Passwords will not be sanitized (in Gatsby functions)

Site name: https://elegant-clafoutis-c14441.netlify.app

I’m using Gatsby functions for user login. I’m utilising mongoose library and everything seems to be working correctly. The user logs in if the email and password is correct, the user gets logged in. But in my terminal server logs display the following error -

[MONGODB DRIVER] Warning: Warning: no saslprep library specified. Passwords will not be sanitized

I searched and could not find clear information on the issue. I also installed saslprep package but I still get the error. What does this warning mean? How does it impact site’s security? How do we fix it (if we can)?

Thanks!

Doesn’t sound like a Netlify issue: Warning: no saslprep library specified. Passwords will not be sanitized. · Issue #8152 · Automattic/mongoose (github.com). You mention you’ve already installed the missing library, so you should contact the devs of your dependencies to ask them about this.